#!/bin/bash
#
STYLE=Modern2.28
configdir=$(grep 'Configdir:' /usr/cs/cs.conf | cut -d ':' -f2 )
#
case $1 in
install)
	echo -e "\n\t\t\033[1;37;40mInstalliere Template \033[1;32;40m$STYLE\033[0m"
	if [ -d $configdir >>/dev/null 2>&1 ];
	then
		echo -e "\t\t\033[1;37;40mOrdner \033[1;32;40m$configdir \033[1;37;40mbereits vorhanden\033[0m"
	else
		mkdir $configdir
	fi
	if [ -d $configdir'picon' >>/dev/null 2>&1 ];
	then
		echo -e "\t\t\033[1;37;40mOrdner \033[1;32;40m$(echo $configdir'picon') \033[1;37;40mbereits vorhanden\033[0m"
	else
		mkdir $configdir'picon'               
	fi
	cp $STYLE.css $configdir
	cp $STYLE.sh /usr/cs/theme
	cp $STYLE.list /usr/cs/theme
	while read I ; do
		echo "----------------------------------------------"
		TPL=$(echo $I | cut -d"," -f1)
		echo -e "\033[1;37;40mInstalliere OScam-TPL \033[1;32;40m$TPL \033[0m"
		cp $TPL $configdir'picon'
		echo -e "\033[1;37;40m\0133\033[1;32;40m DONE \033[1;37;40m\0135\033[0m"
	done < /tmp/$STYLE/$STYLE.list
	cp /tmp/$STYLE/$STYLE.list /usr/cs/theme
	echo "----------------------------------------------"
	echo -e "\t\t\033[1;37;40mInstallation von Template \033[1;32;40m$STYLE \033[1;37;40merfolgreich\033[0m\n"
	;;
uninstall)
		echo -e "\n\t\t\033[1;37;40mDeinstalliere Template \033[1;32;40m$STYLE\033[0m"
		rm -f $configdir/$STYLE.css
		rm -f /usr/cs/theme/$STYLE.sh
			while read I ; do
		echo "----------------------------------------------"
		TPL=$(echo $I | cut -d"," -f1)
		echo -e "\033[1;37;40mDeinstalliere OScam-TPL \033[1;32;40m$TPL \033[0m"
		rm $configdir'picon'/$TPL
		echo -e "\033[1;37;40m\0133\033[1;32;40m DONE \033[1;37;40m\0135\033[0m"
		done < /usr/cs/theme/$STYLE.list
		rm /usr/cs/theme/$STYLE.list
		echo "----------------------------------------------"
		echo -e "\t\t\033[1;37;40mDeinstallation von Template \033[1;32;40m$STYLE \033[1;37;40merfolgreich\033[0m\n"
	;;
esac
exit 0